﻿using HarmonyLib;
using HMLLibrary;
using Steamworks;
using System;
using System.Collections;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Reflection;
using System.Reflection.Emit;
using UnityEngine;
using UnityEngine.UI;
using Debug = UnityEngine.Debug;
using Object = UnityEngine.Object;


namespace CetaphobiaHelper
{
    public class Main : Mod
    {
        Harmony harmony;
        public void Start()
        {
            (harmony = new Harmony("com.aidanamite.CetaphobiaHelper")).PatchAll();
            Log("Mod has been loaded!");
        }

        public void OnModUnload()
        {
            harmony.UnpatchAll(harmony.Id);
            Log("Mod has been unloaded!");
        }
    }

    [HarmonyPatch(typeof(Network_Host_Entities), "CreateAINetworkBehaviour", typeof(AI_NetworkBehaviourType), typeof(Vector3), typeof(float), typeof(uint), typeof(uint), typeof(LandmarkEntitySpawner))]
    static class Patch_SpawnEntity
    {
        static bool Prefix(AI_NetworkBehaviourType behaviourType, ref AI_NetworkBehaviour __result)
        {
            if (behaviourType == AI_NetworkBehaviourType.Whale)
            {
                __result = null;
                return false;
            }
            return true;
        }
    }
}